/*
 * Copyright (c) 1997  Motoyuki Kasahara
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef EB_DEFS_H
#define EB_DEFS_H

#ifdef __cplusplus
extern "C" {
#endif


/*
 * Library version.
 */
#define EB_VERSION_MAJOR	1
#define EB_VERSION_MINOR	0


/*
 * Disc types.
 */
#define EB_DISC_EB		0
#define EB_DISC_EPWING		1


/*
 * Case of filenames (upper or lower).
 */
#define EB_FCASE_UPPER		0
#define EB_FCASE_LOWER		1


/*
 * Suffix to be added to filenames (none, `.', or `.;1').
 */
#define EB_FSUFFIX_NONE		0
#define EB_FSUFFIX_DOT		1
#define EB_FSUFFIX_BOTH		3


/*
 * Character codes.
 */
#define EB_CHAR_ISO8859_1	1
#define EB_CHAR_JISX0208        2


/*
 * Word types to search.
 */
#define EB_WORD_ALPHA		0
#define EB_WORD_KANA		1
#define EB_WORD_KANJI		2
#define EB_WORD_ERROR		-1


/*
 * Size and limitation.
 */
#define EB_SIZE_PAGE		2048
#define EB_SIZE_EB_CATALOG	40
#define EB_SIZE_EP_CATALOG	164

#define EB_MAXLEN_WORD		255
#define EB_MAXLEN_EB_TITLE	30
#define EB_MAXLEN_EP_TITLE	80
#define EB_MAXLEN_TITLE		80
#define EB_MAXLEN_BASENAME	8
#define EB_MAXLEN_LANGNAME	15
#define EB_MAXLEN_MESSAGE	31
#define EB_MAXLEN_ALTERNATION_TEXT	31

#define EB_MAX_FONTS		4
#define EB_MAX_INDEXES		10
#define EB_MAX_SEARCHES		6
#define EB_MAX_SUBBOOKS		50
#define EB_MAX_LANGUAGES	20
#define EB_MAX_MESSAGES		32
#define EB_MAX_INDEX_DEPTH	6
#define EB_MAX_KEYWORDS		5
#define EB_MAX_ALTERNATION_CACHE	16


/*
 * Index types.
 */
#define EB_INDEX_WORD_KANA	0
#define EB_INDEX_WORD_ASIS	1
#define EB_INDEX_WORD_ALPHA	2
#define EB_INDEX_ENDWORD_KANA	3
#define EB_INDEX_ENDWORD_ASIS	4
#define EB_INDEX_ENDWORD_ALPHA	5
#define EB_INDEX_KEYWORD	6
#define EB_INDEX_MENU		7
#define EB_INDEX_GRAPHIC	8
#define EB_INDEX_MULTI		9


/*
 * File and directory names.
 */
#define EB_FNAME_START		"START"
#define EB_FNAME_SOUND		"SOUND"
#define EB_FNAME_CATALOG	"CATALOG"
#define EB_FNAME_LANGUAGE	"LANGUAGE"
#define EB_FNAME_VTOC		"VTOC"
#define EB_FNAME_WELCOME	"WELCOME"
#define EB_FNAME_CATALOGS	"CATALOGS"
#define EB_FNAME_HONMON		"HONMON"
#define EB_FNAME_APPENDIX	"APPENDIX"
#define EB_FNAME_FUROKU		"FUROKU"

#define EB_DIRNAME_DATA		"DATA"
#define EB_DIRNAME_GAIJI	"GAIJI"

#ifdef __cplusplus
}
#endif

#endif /* not EB_DEFS_H */
